This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1292240 - Section 7.2.3.2 lists incorrect method of setting huge pages persistently
Section 7.2.3.2 lists incorrect method of setting huge pages persistently
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Virtualization_Tuning_and_Optimization_Guide (Show other bugs)
7.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Jiri Herrmann
ecs-bugs
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-12-16 14:44 EST by John Siddle
Modified: 2016-11-07 09:51 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-11-07 09:51:41 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Siddle 2015-12-16 14:44:47 EST
Document URL: 

https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Virtualization_Tuning_and_Optimization_Guide/sect-Virtualization_Tuning_Optimization_Guide-Memory-Tuning.html

Section Number and Name: 

7.2.3.2. Configuring Static Huge Pages

Describe the issue: 

Procedure 7.1. Setting huge pages reads:

"Alternatively, to make the setting persistent, use the # sysctl -w vm.nr_hugepages=N command with N being the number of huge pages. "

sysctl -w will not make a sysctl setting persistent across reboots.

Suggestions for improvement: 

The proper procedure for setting reboots persistently is to set them in /etc/sysctl.conf

# echo 'vm.nr_hugepages = X' >> /etc/sysctl.conf
# sysctl -p

Where X is the number of huge pages you want.

The setting being in /etc/sysctl.conf makes the setting load on boot. 'sysctl -p' makes the settings in /etc/sysctl.conf active when you run it.

Alternatively, huge pages can be set with a kernel argument:

hugepages=X

So you'd append the above to the GRUB_CMDLINE_LINUX= line in /etc/default/grub, back up your grub.cfg

# cp /boot/grub2/grub.cfg /boot/grub2/grub.cfg.bak

then generate a new grub2 config file

# grub2-mkconfig -o /boot/grub2/grub.cfg

Note you can use one of the two above procedures but you shouldn't use both.

Additional information:

Note You need to log in before you can comment on or make changes to this bug.